/**
 * Copyright 2012 J. Miguel P. Tavares
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/
package org.bitpipeline.lib.owm;

public class TestData {
	static final String CURRENT_WEATHER_CITY = "{\n" + 
			"	\"id\": 7325,\n" + 
			"	\"dt\": 1359979200,\n" + 
			"	\"name\": \"UUMO\",\n" + 
			"	\"type\": 1,\n" + 
			"	\"coord\": {\n" + 
			"		\"lat\": 55.5,\n" + 
			"		\"lon\": 37.5\n" + 
			"	},\n" + 
			"	\"distance\": 63.995,\n" + 
			"	\"main\": {\n" + 
			"		\"temp\": 272.15,\n" + 
			"		\"humidity\": 100\n" + 
			"	},\n" + 
			"	\"wind\": {\n" + 
			"		\"speed\": 7,\n" + 
			"		\"deg\": 340\n" + 
			"	},\n" + 
			"	\"rang\": 50,\n" + 
			"	\"clouds\": [\n" + 
			"		{\n" + 
			"			\"distance\": 91,\n" + 
			"			\"condition\": \"BKN\"\n" + 
			"		},\n" + 
			"		{\n" + 
			"			\"distance\": 305,\n" + 
			"			\"condition\": \"OVC\",\n" + 
			"			\"cumulus\": \"CB\"\n" + 
			"		}\n" + 
			"	]\n" + 
			"}\n" + 
			""; 

	static String CURRENT_WEATHER_POINT = "        {\n" + 
			"            \"id\": 5106529,\n" + 
			"            \"name\": \"Woodbridge\",\n" + 
			"            \"coord\": {\n" + 
			"                \"lon\": -74.284592,\n" + 
			"                \"lat\": 40.557598\n" + 
			"            },\n" + 
			"            \"distance\": 0.814,\n" + 
			"            \"main\": {\n" + 
			"                \"temp\": 267.97,\n" + 
			"                \"pressure\": 1026,\n" + 
			"                \"humidity\": 45,\n" + 
			"                \"temp_min\": 267.15,\n" + 
			"                \"temp_max\": 269.15\n" + 
			"            },\n" + 
			"            \"dt\": 1359818400,\n" + 
			"            \"wind\": {\n" + 
			"                \"speed\": 3.1,\n" + 
			"                \"deg\": 260\n" + 
			"            },\n" + 
			"            \"clouds\": {\n" + 
			"                \"all\": 40\n" + 
			"            },\n" + 
			"            \"weather\": [\n" + 
			"                {\n" + 
			"                    \"id\": 802,\n" + 
			"                    \"main\": \"Clouds\",\n" + 
			"                    \"description\": \"scattered clouds\",\n" + 
			"                    \"icon\": \"03d\"\n" + 
			"                }\n" + 
			"            ]\n" + 
			"        }";

	static final public String CURRENT_WEATHER_AROUND_POINT = "{\"message\":\"\",\"cod\":\"200\",\"calctime\":\"\",\"cnt\":8,\"list\":[{\"id\":7325,\"dt\":1360074600,\"name\":\"UUMO\",\"type\":1,\"coord\":{\"lat\":55.5,\"lon\":37.5},\"distance\":63.995,\"main\":{\"temp\":271.15,\"pressure\":1001,\"humidity\":92},\"wind\":{\"speed\":3,\"deg\":180},\"rang\":50,\"clouds\":[{\"distance\":396,\"condition\":\"BKN\",\"cumulus\":\"CB\"},{\"distance\":1219,\"condition\":\"BKN\"}]},{\"id\":37653,\"dt\":1360078209,\"name\":\"UUWW\",\"type\":2,\"coord\":{\"lat\":55.5862,\"lon\":37.2445},\"distance\":66.995,\"main\":{\"temp\":270.37,\"pressure\":1000,\"humidity\":93},\"wind\":{\"speed\":4.63,\"deg\":158},\"rang\":0},{\"id\":7329,\"dt\":1360074600,\"name\":\"UUWW\",\"type\":1,\"coord\":{\"lat\":55.5915,\"lon\":37.2615},\"distance\":67.823,\"main\":{\"temp\":270.15,\"pressure\":1000,\"humidity\":92},\"wind\":{\"speed\":5,\"deg\":160},\"rang\":50,\"clouds\":[{\"distance\":244,\"condition\":\"BKN\"},{\"distance\":640,\"condition\":\"OVC\",\"cumulus\":\"CB\"}]},{\"id\":37768,\"dt\":1360078022,\"name\":\"UUDD\",\"type\":2,\"coord\":{\"lat\":55.4,\"lon\":37.9167},\"distance\":73.228,\"main\":{\"temp\":270.37,\"pressure\":1001,\"humidity\":99},\"wind\":{\"speed\":5.65,\"deg\":180},\"rang\":30},{\"id\":7322,\"dt\":1360074600,\"name\":\"UUDD\",\"type\":1,\"coord\":{\"lat\":55.4088,\"lon\":37.9063},\"distance\":73.303,\"main\":{\"temp\":270.15,\"pressure\":1001,\"humidity\":100},\"wind\":{\"speed\":5,\"deg\":170},\"rang\":50,\"rain\":{\"6h\":1},\"clouds\":[{\"distance\":488,\"condition\":\"BKN\"},{\"distance\":3048,\"condition\":\"OVC\"}]},{\"id\":43600,\"dt\":1360078337,\"name\":\"ankuch\",\"type\":5,\"coord\":{\"lat\":55.5522,\"lon\":37.7078},\"distance\":76.026,\"main\":{\"temp\":298.95,\"pressure\":980.9,\"humidity\":41},\"rang\":20},{\"id\":45148,\"dt\":1360078201,\"name\":\"EvgeshaS\",\"type\":5,\"coord\":{\"lat\":55.6567,\"lon\":37.5711},\"distance\":81.468,\"main\":{\"temp\":273.15},\"rang\":20},{\"id\":39277,\"dt\":1360078310,\"name\":\"st2340\",\"type\":5,\"coord\":{\"lat\":55.5966,\"lon\":38.1115},\"distance\":96.702,\"main\":{\"temp\":270.75},\"rang\":30}]}";
	static final public String CURRENT_WEATHER_AROUND_CITY_COORD = "{\"message\":\"\",\"cod\":\"200\",\"calctime\":\"\",\"cnt\":10,\"list\":[{\"id\":6730265,\"name\":\"Obolensk\",\"coord\":{\"lon\":37.224483,\"lat\":54.977409},\"distance\":14.54,\"main\":{\"temp\":270.73,\"temp_min\":270.25,\"temp_max\":270.75,\"pressure\":994.42,\"humidity\":95.3},\"dt\":1360077964,\"wind\":{\"speed\":4.35,\"deg\":198,\"gust\":11.9},\"clouds\":{\"all\":92},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":541235,\"name\":\"Kremenki\",\"coord\":{\"lon\":37.12611,\"lat\":54.884998},\"distance\":15.113,\"main\":{\"temp\":270.73,\"temp_min\":270.25,\"temp_max\":270.75,\"pressure\":994.42,\"humidity\":95.3},\"dt\":1360074546,\"wind\":{\"speed\":4.35,\"deg\":198,\"gust\":11.9},\"clouds\":{\"all\":92},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":462792,\"name\":\"Zhukovo\",\"coord\":{\"lon\":36.744019,\"lat\":55.03178},\"distance\":16.698,\"main\":{\"temp\":271.01,\"temp_min\":270.49,\"temp_max\":271.02,\"pressure\":993.77,\"humidity\":95.5},\"dt\":1360074550,\"wind\":{\"speed\":4.38,\"deg\":203,\"gust\":11.6},\"clouds\":{\"all\":99},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":504576,\"name\":\"Protvino\",\"coord\":{\"lon\":37.217781,\"lat\":54.86639},\"distance\":20.354,\"main\":{\"temp\":270.73,\"temp_min\":270.25,\"temp_max\":270.75,\"pressure\":994.42,\"humidity\":95.3},\"dt\":1360074814,\"wind\":{\"speed\":4.35,\"deg\":198,\"gust\":11.9},\"clouds\":{\"all\":92},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":577856,\"name\":\"Belousovo\",\"coord\":{\"lon\":36.673199,\"lat\":55.095001},\"distance\":23.345,\"main\":{\"temp\":271.01,\"temp_min\":270.49,\"temp_max\":271.02,\"pressure\":993.77,\"humidity\":95.5},\"dt\":1360078177,\"wind\":{\"speed\":4.38,\"deg\":203,\"gust\":11.6},\"clouds\":{\"all\":99},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":504798,\"name\":\"Proletarskiy\",\"coord\":{\"lon\":37.39019,\"lat\":55.02219},\"distance\":25.001,\"main\":{\"temp\":270.38,\"temp_min\":270.09,\"temp_max\":270.42,\"pressure\":994.09,\"humidity\":95},\"dt\":1360077820,\"wind\":{\"speed\":4.59,\"deg\":195,\"gust\":12},\"clouds\":{\"all\":89},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":516436,\"name\":\"Obninsk\",\"coord\":{\"lon\":36.610279,\"lat\":55.096943},\"distance\":27.065,\"main\":{\"temp\":271.01,\"temp_min\":270.49,\"temp_max\":271.02,\"pressure\":993.77,\"humidity\":95.5},\"dt\":1360074932,\"wind\":{\"speed\":4.38,\"deg\":203,\"gust\":11.6},\"clouds\":{\"all\":99},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":496527,\"name\":\"Serpukhov\",\"coord\":{\"lon\":37.410831,\"lat\":54.921391},\"distance\":27.646,\"main\":{\"temp\":270.38,\"temp_min\":270.09,\"temp_max\":270.42,\"pressure\":994.09,\"humidity\":95},\"dt\":1360074946,\"wind\":{\"speed\":4.59,\"deg\":195,\"gust\":12},\"clouds\":{\"all\":89},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":579529,\"name\":\"Balabanovo\",\"coord\":{\"lon\":36.660599,\"lat\":55.18161},\"distance\":29.568,\"main\":{\"temp\":271.01,\"temp_min\":270.49,\"temp_max\":271.02,\"pressure\":993.77,\"humidity\":95.5},\"dt\":1360074730,\"wind\":{\"speed\":4.38,\"deg\":203,\"gust\":11.6},\"clouds\":{\"all\":99},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":484287,\"name\":\"Tarusa\",\"coord\":{\"lon\":37.176666,\"lat\":54.723331},\"distance\":32.776,\"main\":{\"temp\":270.7,\"temp_min\":270.59,\"temp_max\":271,\"pressure\":991.49,\"humidity\":96.2},\"dt\":1360078265,\"wind\":{\"speed\":5.02,\"deg\":227,\"gust\":12},\"clouds\":{\"all\":95},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]}]}";
	static final public String CURRENT_WEATHER_IN_BBOX = "{\"message\":\"\",\"cod\":\"200\",\"calctime\":\"\",\"cnt\":2,\"list\":[{\"id\":5761,\"dt\":1360072200,\"name\":\"LICD\",\"type\":1,\"coord\":{\"lat\":35.4979,\"lon\":12.6181},\"main\":{\"temp\":287.15,\"pressure\":1019,\"humidity\":82},\"wind\":{\"speed\":6.7,\"deg\":300},\"rang\":3,\"clouds\":[{\"distance\":1494,\"condition\":\"BKN\"}]},{\"id\":6441,\"dt\":1360075800,\"name\":\"HLLT\",\"type\":1,\"coord\":{\"lat\":32.6635,\"lon\":13.159},\"main\":{\"temp\":285.15,\"pressure\":1020,\"humidity\":87},\"wind\":{\"speed\":6.2,\"deg\":290},\"rang\":50,\"clouds\":[{\"distance\":488,\"condition\":\"SCT\"},{\"distance\":762,\"condition\":\"BKN\"}]}]}";
	static final public String CURRENT_WEATHER_IN_CITY_BBOX = "{\"message\":\"\",\"cod\":\"200\",\"calctime\":\"\",\"cnt\":1,\"list\":[{\"id\":2210247,\"name\":\"Tripoli\",\"coord\":{\"lon\":13.18746,\"lat\":32.875191},\"main\":{\"temp\":285.15,\"pressure\":1020,\"humidity\":87,\"temp_min\":285.15,\"temp_max\":288.14},\"dt\":1360075800,\"wind\":{\"speed\":6.2,\"deg\":290},\"clouds\":{\"all\":75},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}]}]}";
	static final public String CURRENT_WEATHER_IN_CIRCLE = "{\"message\":\"\",\"cod\":\"200\",\"calctime\":\"\",\"cnt\":61,\"list\":[{\"id\":495260,\"name\":\"Shcherbinka\",\"coord\":{\"lon\":37.559719,\"lat\":55.499722},\"distance\":3.761,\"main\":{\"temp\":270.57,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074708,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":564517,\"name\":\"Dubrovitsy\",\"coord\":{\"lon\":37.486698,\"lat\":55.43969},\"distance\":6.758,\"main\":{\"temp\":270.51,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077302,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":545782,\"name\":\"Kommunarka\",\"coord\":{\"lon\":37.489319,\"lat\":55.569519},\"distance\":7.759,\"main\":{\"temp\":270.55,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077889,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":508101,\"name\":\"Podolsk\",\"coord\":{\"lon\":37.554722,\"lat\":55.424179},\"distance\":9.109,\"main\":{\"temp\":270.54,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074949,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":476372,\"name\":\"Vatutinki\",\"coord\":{\"lon\":37.3325,\"lat\":55.498333},\"distance\":10.551,\"main\":{\"temp\":270.49,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074422,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":481608,\"name\":\"Troitsk\",\"coord\":{\"lon\":37.307362,\"lat\":55.484982},\"distance\":12.249,\"main\":{\"temp\":270.49,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074422,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":6417535,\"name\":\"Mosrentgen\",\"coord\":{\"lon\":37.471111,\"lat\":55.618332},\"distance\":13.283,\"main\":{\"temp\":270.6,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077302,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":857690,\"name\":\"Moskovskiy\",\"coord\":{\"lon\":37.35495,\"lat\":55.59911},\"distance\":14.307,\"main\":{\"temp\":270.44,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":473778,\"name\":\"Vidnoye\",\"coord\":{\"lon\":37.70966,\"lat\":55.552391},\"distance\":14.425,\"main\":{\"temp\":270.56,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074768,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":547560,\"name\":\"Klimovsk\",\"coord\":{\"lon\":37.525002,\"lat\":55.364723},\"distance\":15.125,\"main\":{\"temp\":270.48,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074422,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":469341,\"name\":\"Yam\",\"coord\":{\"lon\":37.749168,\"lat\":55.484444},\"distance\":15.791,\"main\":{\"temp\":270.54,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077589,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"}]},{\"id\":565381,\"name\":\"Domodedovo\",\"coord\":{\"lon\":37.758331,\"lat\":55.442223},\"distance\":17.504,\"main\":{\"temp\":270.55,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074768,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":857689,\"name\":\"Vnukovo\",\"coord\":{\"lon\":37.296108,\"lat\":55.611938},\"distance\":17.871,\"main\":{\"temp\":270.3,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":819827,\"name\":\"Razvilka\",\"coord\":{\"lon\":37.740833,\"lat\":55.591667},\"distance\":18.26,\"main\":{\"temp\":270.57,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074422,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":533008,\"name\":\"Lvovskiy\",\"coord\":{\"lon\":37.515831,\"lat\":55.314171},\"distance\":20.687,\"main\":{\"temp\":270.48,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074422,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":473021,\"name\":\"Vnukovo\",\"coord\":{\"lon\":37.219166,\"lat\":55.615002},\"distance\":21.805,\"main\":{\"temp\":270.3,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":471457,\"name\":\"Vostryakovo\",\"coord\":{\"lon\":37.811111,\"lat\":55.400555},\"distance\":22.521,\"main\":{\"temp\":270.58,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074588,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":546606,\"name\":\"Kokoshkino\",\"coord\":{\"lon\":37.169498,\"lat\":55.597691},\"distance\":23.457,\"main\":{\"temp\":270.35,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":529368,\"name\":\"Marfino\",\"coord\":{\"lon\":37.382221,\"lat\":55.702778},\"distance\":23.731,\"main\":{\"temp\":270.81,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077050,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":535695,\"name\":\"Lesnoy Gorodok\",\"coord\":{\"lon\":37.208302,\"lat\":55.638931},\"distance\":23.979,\"main\":{\"temp\":270.69,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074600,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":516215,\"name\":\"Odintsovo\",\"coord\":{\"lon\":37.277729,\"lat\":55.677979},\"distance\":24.223,\"main\":{\"temp\":270.8,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074888,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":563705,\"name\":\"Dzerzhinskiy\",\"coord\":{\"lon\":37.846943,\"lat\":55.628613},\"distance\":26.085,\"main\":{\"temp\":270.57,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074768,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":522730,\"name\":\"Nemchinovka\",\"coord\":{\"lon\":37.36639,\"lat\":55.722778},\"distance\":26.154,\"main\":{\"temp\":270.82,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077767,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":543731,\"name\":\"Kotelniki\",\"coord\":{\"lon\":37.844501,\"lat\":55.63546},\"distance\":26.382,\"main\":{\"temp\":270.57,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074648,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":581321,\"name\":\"Aprelevka\",\"coord\":{\"lon\":37.080101,\"lat\":55.551941},\"distance\":27.052,\"main\":{\"temp\":270.46,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":532657,\"name\":\"Lytkarino\",\"coord\":{\"lon\":37.905834,\"lat\":55.58139},\"distance\":27.09,\"main\":{\"temp\":270.65,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074768,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":487441,\"name\":\"Stolbovaya\",\"coord\":{\"lon\":37.485279,\"lat\":55.252777},\"distance\":27.506,\"main\":{\"temp\":270.57,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077302,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":532477,\"name\":\"Lyubuchany\",\"coord\":{\"lon\":37.545555,\"lat\":55.25111},\"distance\":27.825,\"main\":{\"temp\":270.56,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077302,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}]},{\"id\":524901,\"name\":\"Moscow\",\"coord\":{\"lon\":37.615555,\"lat\":55.75222},\"distance\":28.969,\"main\":{\"temp\":270.83,\"pressure\":1000,\"humidity\":86,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360076987,\"wind\":{\"speed\":3,\"deg\":170},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":469533,\"name\":\"Yakovlevskoye\",\"coord\":{\"lon\":37.950558,\"lat\":55.441944},\"distance\":29.122,\"main\":{\"temp\":270.54,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077827,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":577551,\"name\":\"Belyye Stolby\",\"coord\":{\"lon\":37.854,\"lat\":55.33136},\"distance\":29.169,\"main\":{\"temp\":270.56,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077889,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":463465,\"name\":\"Zhavoronki\",\"coord\":{\"lon\":37.104168,\"lat\":55.649723},\"distance\":29.939,\"main\":{\"temp\":270.43,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074600,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":578953,\"name\":\"Barvikha\",\"coord\":{\"lon\":37.27,\"lat\":55.740002},\"distance\":30.344,\"main\":{\"temp\":270.82,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077767,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":6417459,\"name\":\"Krasnoznamensk\",\"coord\":{\"lon\":37.038609,\"lat\":55.599442},\"distance\":31.057,\"main\":{\"temp\":270.46,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":532615,\"name\":\"Lyubertsy\",\"coord\":{\"lon\":37.883331,\"lat\":55.677776},\"distance\":31.161,\"main\":{\"temp\":270.64,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074949,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":857691,\"name\":\"Zhitnevo\",\"coord\":{\"lon\":37.914639,\"lat\":55.342331},\"distance\":31.497,\"main\":{\"temp\":270.55,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077589,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":482260,\"name\":\"Tomilino\",\"coord\":{\"lon\":37.925278,\"lat\":55.655277},\"distance\":31.823,\"main\":{\"temp\":270.66,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074708,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":515873,\"name\":\"Oktyabrskiy\",\"coord\":{\"lon\":37.977379,\"lat\":55.608059},\"distance\":32.34,\"main\":{\"temp\":270.65,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074470,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":514042,\"name\":\"Ostrovtsy\",\"coord\":{\"lon\":37.99361,\"lat\":55.593887},\"distance\":32.759,\"main\":{\"temp\":270.62,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077710,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":559853,\"name\":\"Gorki Vtoryye\",\"coord\":{\"lon\":37.163502,\"lat\":55.725651},\"distance\":32.805,\"main\":{\"temp\":270.81,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077050,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":497534,\"name\":\"Selyatino\",\"coord\":{\"lon\":36.977459,\"lat\":55.515141},\"distance\":32.947,\"main\":{\"temp\":270.53,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":500843,\"name\":\"Rublevo\",\"coord\":{\"lon\":37.355831,\"lat\":55.785557},\"distance\":33.016,\"main\":{\"temp\":270.84,\"pressure\":1000,\"humidity\":79,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074168,\"wind\":{\"speed\":3,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":522839,\"name\":\"Nekrasovka\",\"coord\":{\"lon\":37.91148,\"lat\":55.693279},\"distance\":33.619,\"main\":{\"temp\":270.67,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074349,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":509998,\"name\":\"Petrovo-Dalneye\",\"coord\":{\"lon\":37.18111,\"lat\":55.746113},\"distance\":33.908,\"main\":{\"temp\":270.82,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077050,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":580994,\"name\":\"Arkhangelskoye\",\"coord\":{\"lon\":37.299839,\"lat\":55.78791},\"distance\":34.39,\"main\":{\"temp\":270.83,\"pressure\":1000,\"humidity\":86,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077050,\"wind\":{\"speed\":3,\"deg\":170},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":479640,\"name\":\"Udelnaya\",\"coord\":{\"lon\":38.002838,\"lat\":55.625359},\"distance\":34.555,\"main\":{\"temp\":270.66,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074470,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":560756,\"name\":\"Golitsyno\",\"coord\":{\"lon\":36.983334,\"lat\":55.612221},\"distance\":34.808,\"main\":{\"temp\":270.49,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":542841,\"name\":\"Kraskovo\",\"coord\":{\"lon\":37.987782,\"lat\":55.649719},\"distance\":34.891,\"main\":{\"temp\":270.66,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074470,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":573922,\"name\":\"Bolshiye Vyazemy\",\"coord\":{\"lon\":36.983334,\"lat\":55.633331},\"distance\":35.708,\"main\":{\"temp\":270.49,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074600,\"wind\":{\"speed\":5,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":578940,\"name\":\"Barybino\",\"coord\":{\"lon\":37.89333,\"lat\":55.267681},\"distance\":35.842,\"main\":{\"temp\":270.58,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077710,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":475700,\"name\":\"Vereya\",\"coord\":{\"lon\":38.039169,\"lat\":55.614719},\"distance\":36.228,\"main\":{\"temp\":270.62,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077710,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":502018,\"name\":\"Reutov\",\"coord\":{\"lon\":37.861668,\"lat\":55.759445},\"distance\":36.711,\"main\":{\"temp\":270.85,\"pressure\":1000,\"humidity\":79,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074889,\"wind\":{\"speed\":3,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":531820,\"name\":\"Malakhovka\",\"coord\":{\"lon\":38.02486,\"lat\":55.647758},\"distance\":36.859,\"main\":{\"temp\":270.66,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074648,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":544904,\"name\":\"Korenevo\",\"coord\":{\"lon\":38.007778,\"lat\":55.67194},\"distance\":37.2,\"main\":{\"temp\":270.66,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074349,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":542374,\"name\":\"Krasnogorsk\",\"coord\":{\"lon\":37.318054,\"lat\":55.822498},\"distance\":37.632,\"main\":{\"temp\":270.84,\"pressure\":1000,\"humidity\":79,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074888,\"wind\":{\"speed\":3,\"deg\":160},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":6697077,\"name\":\"Kievskij\",\"coord\":{\"lon\":36.89827,\"lat\":55.436417},\"distance\":38.582,\"main\":{\"temp\":270.58,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}]},{\"id\":521821,\"name\":\"Nikolina Gora\",\"coord\":{\"lon\":37.041389,\"lat\":55.734444},\"distance\":38.845,\"main\":{\"temp\":270.82,\"pressure\":1000,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074168,\"wind\":{\"speed\":4,\"deg\":140},\"clouds\":{\"all\":90},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04n\"}]},{\"id\":501732,\"name\":\"Rodniki\",\"coord\":{\"lon\":38.066849,\"lat\":55.652039},\"distance\":39.439,\"main\":{\"temp\":270.63,\"pressure\":1001,\"humidity\":100,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077710,\"wind\":{\"speed\":5,\"deg\":170},\"rain\":{\"6h\":1},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":570298,\"name\":\"Bykovo\",\"coord\":{\"lon\":38.080269,\"lat\":55.636139},\"distance\":39.499,\"main\":{\"temp\":270.66,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360074422,\"wind\":{\"speed\":4,\"deg\":180},\"rain\":{\"6h\":1},\"clouds\":{\"all\":75},\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":515186,\"name\":\"Opalikha\",\"coord\":{\"lon\":37.255001,\"lat\":55.827499},\"distance\":39.525,\"main\":{\"temp\":270.84,\"pressure\":1000,\"humidity\":86,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360077767,\"wind\":{\"speed\":3,\"deg\":170},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}]},{\"id\":569591,\"name\":\"Chekhov\",\"coord\":{\"lon\":37.471111,\"lat\":55.143055},\"distance\":39.733,\"main\":{\"temp\":271.15,\"pressure\":1001,\"humidity\":92,\"temp_min\":270.09,\"temp_max\":271.15},\"dt\":1360071000,\"wind\":{\"speed\":3,\"deg\":180},\"clouds\":{\"all\":75},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}]}]}";
	static final public String CURRENT_WEATHER_AT_CITY_ID_MOSKOW = "{\"id\":524901,\"coord\":{\"lat\":55.75222,\"lon\":37.615555},\"name\":\"Moscow\",\"main\":{\"temp\":270.83,\"pressure\":1000,\"humidity\":86,\"temp_min\":270.15,\"temp_max\":271.15},\"dt\":1360076987,\"date\":\"2013-02-05 15:09:47\",\"wind\":{\"speed\":3,\"deg\":170},\"clouds\":{\"all\":90},\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":621,\"main\":\"Snow\",\"description\":\"shower snow\",\"icon\":\"13n\"},{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"}],\"sys\":{\"id\":7323,\"country\":\"RU\"},\"url\":\"http:\\/\\/openweathermap.org\\/city\\/524901\",\"cod\":200}";
	static final public String CURRENT_WEATHER_AT_CITY_NAME_LONDON = "{\"message\":\"\",\"cod\":\"200\",\"type\":\"base\",\"calctime\":\"\",\"units\":\"internal\",\"count\":4,\"list\":[{\"id\":2643743,\"coord\":{\"lat\":51.50853,\"lon\":-0.12574},\"name\":\"London\",\"main\":{\"temp\":276.85,\"pressure\":998,\"humidity\":86,\"temp_min\":276.15,\"temp_max\":277.59},\"dt\":1360502535,\"date\":\"2013-02-10 13:22:15\",\"wind\":{\"speed\":6.2,\"deg\":110},\"clouds\":{\"all\":75},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10d\"},{\"id\":721,\"main\":\"Haze\",\"description\":\"haze\",\"icon\":\"50d\"},{\"id\":501,\"main\":\"Rain\",\"description\":\"moderate rain\",\"icon\":\"10d\"}],\"sys\":{\"country\":\"GB\",\"population\":1000000},\"url\":\"http:\\/\\/openweathermap.org\\/city\\/2643743\"},{\"id\":6058560,\"coord\":{\"lat\":42.983391,\"lon\":-81.23304},\"name\":\"London\",\"main\":{\"temp\":268.23,\"temp_min\":265.45,\"temp_max\":268.24,\"pressure\":1003.28,\"humidity\":94.2},\"dt\":1360502421,\"date\":\"2013-02-10 13:20:21\",\"wind\":{\"speed\":4.27,\"deg\":143,\"gust\":7.6},\"clouds\":{\"all\":99},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"sys\":{\"country\":\"CA\",\"population\":346765},\"url\":\"http:\\/\\/openweathermap.org\\/city\\/6058560\"},{\"id\":4517009,\"coord\":{\"lat\":39.886452,\"lon\":-83.44825},\"name\":\"London\",\"main\":{\"temp\":274.26,\"humidity\":23,\"pressure\":983,\"temp_min\":271.77,\"temp_max\":274.26},\"dt\":1360503168,\"date\":\"2013-02-10 13:32:48\",\"wind\":{\"speed\":4.63,\"gust\":5.14,\"deg\":151},\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"clouds\":{\"all\":98},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"sys\":{\"country\":\"US\",\"population\":9904},\"url\":\"http:\\/\\/openweathermap.org\\/city\\/4517009\"},{\"id\":4298960,\"coord\":{\"lat\":37.128979,\"lon\":-84.08326},\"name\":\"London\",\"main\":{\"temp\":279.62,\"pressure\":1022,\"humidity\":48,\"temp_min\":279.15,\"temp_max\":281.15},\"dt\":1360503110,\"date\":\"2013-02-10 13:31:50\",\"wind\":{\"speed\":2.1,\"deg\":120},\"clouds\":{\"all\":20},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"sys\":{\"country\":\"US\",\"population\":7993},\"url\":\"http:\\/\\/openweathermap.org\\/city\\/4298960\"}]}";
	static final public String CURRENT_WEATHER_AT_CITY_NAME_LONDON_COUNTRY_CODE_UK = "{\"message\":\"\",\"cod\":\"200\",\"type\":\"base-country\",\"calctime\":\"\",\"units\":\"internal\",\"count\":1,\"list\":[{\"id\":2643743,\"coord\":{\"lat\":51.50853,\"lon\":-0.12574},\"name\":\"London\",\"main\":{\"temp\":276.67,\"pressure\":996,\"humidity\":86,\"temp_min\":275.93,\"temp_max\":277.15},\"dt\":1360505389,\"date\":\"2013-02-10 14:09:49\",\"wind\":{\"speed\":6.7,\"deg\":120,\"var_beg\":80,\"var_end\":140},\"clouds\":{\"all\":75},\"weather\":[{\"id\":310,\"main\":\"Drizzle\",\"description\":\"light intensity drizzle rain\",\"icon\":\"09d\"},{\"id\":501,\"main\":\"Rain\",\"description\":\"moderate rain\",\"icon\":\"10d\"},{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10d\"}],\"sys\":{\"country\":\"GB\",\"population\":1000000},\"url\":\"http:\\/\\/openweathermap.org\\/city\\/2643743\"}]}";
	static final public String CURRENT_WEATHER_AT_STATION_ID_9040 = "{\"main\":{\"temp\":281.48,\"humidity\":99,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"coord\":{\"lon\":-8.7363,\"lat\":39.1862},\"station\":{\"zoom\":7},\"id\":9040,\"dt\":1360924205,\"name\":\"CT1AKV-10\",\"date\":\"2013-02-15 10:30:05\"}";

	static final public String FORECAST_WEATHER_AT_CITY_ID_LISBON = "{\"cod\":\"200\",\"message\":\"\",\"calctime\":0.0115,\"url\":\"http:\\/\\/openweathermap.org\\/city\\/2267057\",\"city\":{\"id\":2267057,\"coord\":{\"lon\":-9.13333,\"lat\":38.716671},\"country\":\"PT\",\"name\":\"Lisbon\",\"dt_calc\":1360574906,\"stations_count\":3},\"cnt\":57,\"units\":\"internal\",\"model\":\"GFS-OWM\",\"list\":[{\"dt\":1360569600,\"calc_dt\":1360537200,\"main\":{\"temp\":282.53,\"temp_min\":282.53,\"temp_max\":284.37,\"pressure\":1031.48,\"humidity\":61.6,\"temp_kf\":-1.8},\"wind\":{\"speed\":7.42,\"deg\":319,\"gust\":13},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":83,\"low\":18,\"middle\":0,\"high\":80},\"dt_txt\":\"2013-02-11 08:00:00\"},{\"dt\":1360580400,\"calc_dt\":1360537200,\"main\":{\"temp\":284.05,\"temp_min\":283.47,\"temp_max\":285.73,\"pressure\":1032.03,\"humidity\":56.4,\"temp_kf\":-1.71},\"wind\":{\"speed\":9.7,\"deg\":320,\"gust\":13.3},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":88,\"low\":39,\"middle\":0,\"high\":81},\"rain\":{\"3h\":0.2},\"dt_txt\":\"2013-02-11 11:00:00\"},{\"dt\":1360591200,\"calc_dt\":1360537200,\"main\":{\"temp\":284.61,\"temp_min\":284.61,\"temp_max\":286.28,\"pressure\":1031.83,\"humidity\":56.7,\"temp_kf\":-1.62},\"wind\":{\"speed\":10.1,\"deg\":321,\"gust\":13.9},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":92,\"low\":54,\"middle\":0,\"high\":84},\"rain\":{\"3h\":0.3},\"dt_txt\":\"2013-02-11 14:00:00\"},{\"dt\":1360602000,\"calc_dt\":1360537200,\"main\":{\"temp\":283.07,\"temp_min\":283.07,\"temp_max\":286.3,\"pressure\":1032.13,\"humidity\":66.6,\"temp_kf\":-1.53},\"wind\":{\"speed\":6.68,\"deg\":322,\"gust\":11.3},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":86,\"low\":32,\"middle\":0,\"high\":81},\"rain\":{\"3h\":0.4},\"dt_txt\":\"2013-02-11 17:00:00\"},{\"dt\":1360612800,\"calc_dt\":1360537200,\"main\":{\"temp\":282.99,\"temp_min\":282.99,\"temp_max\":284.54,\"pressure\":1033.27,\"humidity\":74.1,\"temp_kf\":-1.44},\"wind\":{\"speed\":5.37,\"deg\":318,\"gust\":9.1},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":84,\"low\":25,\"middle\":0,\"high\":77},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-11 20:00:00\"},{\"dt\":1360623600,\"calc_dt\":1360537200,\"main\":{\"temp\":283.36,\"temp_min\":283.36,\"temp_max\":284.72,\"pressure\":1032.18,\"humidity\":88.8,\"temp_kf\":-1.35},\"wind\":{\"speed\":3.76,\"deg\":289,\"gust\":7.3},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10n\"}],\"clouds\":{\"all\":90,\"low\":61,\"middle\":0,\"high\":67},\"rain\":{\"3h\":1.8},\"dt_txt\":\"2013-02-11 23:00:00\"},{\"dt\":1360634400,\"calc_dt\":1360537200,\"main\":{\"temp\":284.28,\"temp_min\":284.28,\"temp_max\":285.64,\"pressure\":1030.25,\"humidity\":91,\"temp_kf\":-1.26},\"wind\":{\"speed\":5.27,\"deg\":330,\"gust\":10.4},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10n\"}],\"clouds\":{\"all\":99,\"low\":97,\"middle\":0,\"high\":48},\"rain\":{\"3h\":1.3},\"dt_txt\":\"2013-02-12 02:00:00\"},{\"dt\":1360645200,\"calc_dt\":1360537200,\"main\":{\"temp\":283.92,\"temp_min\":283.92,\"temp_max\":285.64,\"pressure\":1031.31,\"humidity\":88.4,\"temp_kf\":-1.17},\"wind\":{\"speed\":4.64,\"deg\":338,\"gust\":9.9},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10n\"}],\"clouds\":{\"all\":98,\"low\":97,\"middle\":0,\"high\":38},\"rain\":{\"3h\":1.4},\"dt_txt\":\"2013-02-12 05:00:00\"},{\"dt\":1360656000,\"calc_dt\":1360537200,\"main\":{\"temp\":284.42,\"temp_min\":284.42,\"temp_max\":285.49,\"pressure\":1032.67,\"humidity\":87.2,\"temp_kf\":-1.08},\"wind\":{\"speed\":3.74,\"deg\":327,\"gust\":8.1},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":96,\"low\":93,\"middle\":0,\"high\":26},\"rain\":{\"3h\":0.1},\"dt_txt\":\"2013-02-12 08:00:00\"},{\"dt\":1360666800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.49,\"temp_min\":285.04,\"temp_max\":286.52,\"pressure\":1033.76,\"humidity\":90.8,\"temp_kf\":-0.99},\"wind\":{\"speed\":5.63,\"deg\":312,\"gust\":10.9},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":97,\"low\":96,\"middle\":0,\"high\":19},\"rain\":{\"3h\":0.4},\"dt_txt\":\"2013-02-12 11:00:00\"},{\"dt\":1360677600,\"calc_dt\":1360537200,\"main\":{\"temp\":287.1,\"temp_min\":286.5,\"temp_max\":288.2,\"pressure\":1032.95,\"humidity\":82,\"temp_kf\":-0.9},\"wind\":{\"speed\":8.63,\"deg\":326,\"gust\":12.1},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":76,\"low\":67,\"middle\":0,\"high\":27},\"rain\":{\"3h\":0.2},\"dt_txt\":\"2013-02-12 14:00:00\"},{\"dt\":1360688400,\"calc_dt\":1360537200,\"main\":{\"temp\":285.59,\"temp_min\":285.59,\"temp_max\":288.2,\"pressure\":1033.41,\"humidity\":86.8,\"temp_kf\":-0.81},\"wind\":{\"speed\":6.88,\"deg\":323,\"gust\":11.8},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":75,\"low\":68,\"middle\":0,\"high\":22},\"rain\":{\"3h\":0.3},\"dt_txt\":\"2013-02-12 17:00:00\"},{\"dt\":1360699200,\"calc_dt\":1360537200,\"main\":{\"temp\":285.48,\"temp_min\":285.48,\"temp_max\":286.35,\"pressure\":1034.6,\"humidity\":91.5,\"temp_kf\":-0.72},\"wind\":{\"speed\":5.87,\"deg\":332,\"gust\":11},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":49,\"low\":49,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-12 20:00:00\"},{\"dt\":1360710000,\"calc_dt\":1360537200,\"main\":{\"temp\":285.42,\"temp_min\":285.42,\"temp_max\":286.44,\"pressure\":1035.12,\"humidity\":93.1,\"temp_kf\":-0.63},\"wind\":{\"speed\":4.97,\"deg\":326,\"gust\":9.6},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":38,\"low\":38,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-12 23:00:00\"},{\"dt\":1360720800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.76,\"temp_min\":285.76,\"temp_max\":286.35,\"pressure\":1034.69,\"humidity\":93.1,\"temp_kf\":-0.54},\"wind\":{\"speed\":5,\"deg\":332,\"gust\":9.8},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":52,\"low\":52,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-13 02:00:00\"},{\"dt\":1360731600,\"calc_dt\":1360537200,\"main\":{\"temp\":285.88,\"temp_min\":285.88,\"temp_max\":286.44,\"pressure\":1034.63,\"humidity\":91.1,\"temp_kf\":-0.45},\"wind\":{\"speed\":4.76,\"deg\":346,\"gust\":10},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":57,\"low\":57,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0.1},\"dt_txt\":\"2013-02-13 05:00:00\"},{\"dt\":1360742400,\"calc_dt\":1360537200,\"main\":{\"temp\":286.54,\"temp_min\":286.15,\"temp_max\":286.87,\"pressure\":1035.75,\"humidity\":87.3,\"temp_kf\":-0.36},\"wind\":{\"speed\":5.22,\"deg\":354,\"gust\":10.4},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":69,\"low\":69,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-13 08:00:00\"},{\"dt\":1360753200,\"calc_dt\":1360537200,\"main\":{\"temp\":289.37,\"temp_min\":286.15,\"temp_max\":289.61,\"pressure\":1036.36,\"humidity\":73.6,\"temp_kf\":-0.27},\"wind\":{\"speed\":4.98,\"deg\":359,\"gust\":7.9},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":35,\"low\":35,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-13 11:00:00\"},{\"dt\":1360764000,\"calc_dt\":1360537200,\"main\":{\"temp\":290.44,\"temp_min\":289.7,\"temp_max\":290.66,\"pressure\":1034.75,\"humidity\":69.3,\"temp_kf\":-0.18},\"wind\":{\"speed\":5.54,\"deg\":345,\"gust\":7.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01d\"}],\"clouds\":{\"all\":1,\"low\":1,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 14:00:00\"},{\"dt\":1360774800,\"calc_dt\":1360537200,\"main\":{\"temp\":287.32,\"temp_min\":287.32,\"temp_max\":290.66,\"pressure\":1035.16,\"humidity\":84,\"temp_kf\":-0.09},\"wind\":{\"speed\":5.72,\"deg\":350,\"gust\":9.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01d\"}],\"clouds\":{\"all\":1,\"low\":1,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 17:00:00\"},{\"dt\":1360785600,\"calc_dt\":1360537200,\"main\":{\"temp\":285.44,\"temp_min\":285.42,\"temp_max\":287.4,\"pressure\":1036.02,\"humidity\":89.2},\"wind\":{\"speed\":4.37,\"deg\":356,\"gust\":8.1},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":1,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 20:00:00\"},{\"dt\":1360796400,\"calc_dt\":1360537200,\"main\":{\"temp\":284.39,\"temp_min\":284.39,\"temp_max\":287.35,\"pressure\":1036.29,\"humidity\":93.2},\"wind\":{\"speed\":3.09,\"deg\":7,\"gust\":4.5},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":1,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 23:00:00\"},{\"dt\":1360807200,\"calc_dt\":1360537200,\"main\":{\"temp\":283.43,\"temp_min\":283.43,\"temp_max\":284.39,\"pressure\":1035.23,\"humidity\":95.6},\"wind\":{\"speed\":2.87,\"deg\":20,\"gust\":3.7},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":0,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-14 02:00:00\"},{\"dt\":1360818000,\"calc_dt\":1360537200,\"main\":{\"temp\":283.48,\"temp_min\":283.12,\"temp_max\":284.39,\"pressure\":1034.83,\"humidity\":95.5},\"wind\":{\"speed\":2.86,\"deg\":29,\"gust\":3.7},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":14,\"low\":14,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-14 05:00:00\"},{\"dt\":1360828800,\"calc_dt\":1360537200,\"main\":{\"temp\":284.19,\"temp_min\":283.5,\"temp_max\":284.23,\"pressure\":1036.14,\"humidity\":89.5},\"wind\":{\"speed\":2.89,\"deg\":35,\"gust\":3.6},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":81,\"low\":81,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-14 08:00:00\"},{\"dt\":1360839600,\"calc_dt\":1360537200,\"main\":{\"temp\":287.93,\"temp_min\":283.5,\"temp_max\":287.95,\"pressure\":1035.69,\"humidity\":73.9},\"wind\":{\"speed\":1.99,\"deg\":24,\"gust\":2.6},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":54,\"low\":54,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-14 11:00:00\"},{\"dt\":1360850400,\"calc_dt\":1360537200,\"main\":{\"temp\":290.3,\"temp_min\":288,\"temp_max\":290.31,\"pressure\":1033.43,\"humidity\":66.5},\"wind\":{\"speed\":1.94,\"deg\":337,\"gust\":2.3},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"02d\"}],\"clouds\":{\"all\":7,\"low\":0,\"middle\":0,\"high\":6},\"dt_txt\":\"2013-02-14 14:00:00\"},{\"dt\":1360861200,\"calc_dt\":1360537200,\"main\":{\"temp\":287.6,\"temp_min\":286.95,\"temp_max\":290.43,\"pressure\":1032.73,\"humidity\":79.5},\"wind\":{\"speed\":2.19,\"deg\":340,\"gust\":2.9},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":16,\"low\":0,\"middle\":0,\"high\":16},\"dt_txt\":\"2013-02-14 17:00:00\"},{\"dt\":1360872000,\"calc_dt\":1360537200,\"main\":{\"temp\":285.83,\"temp_min\":285.83,\"temp_max\":287.4,\"pressure\":1033.63,\"humidity\":87.1},\"wind\":{\"speed\":2.25,\"deg\":358,\"gust\":2.9},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":25,\"low\":0,\"middle\":0,\"high\":25},\"dt_txt\":\"2013-02-14 20:00:00\"},{\"dt\":1360882800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.05,\"temp_min\":285.04,\"temp_max\":287.42,\"pressure\":1033.67,\"humidity\":87.6},\"wind\":{\"speed\":2.53,\"deg\":30,\"gust\":3.1},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":23,\"low\":0,\"middle\":0,\"high\":23},\"dt_txt\":\"2013-02-14 23:00:00\"},{\"dt\":1360893600,\"calc_dt\":1360537200,\"main\":{\"temp\":284.33,\"temp_min\":284.33,\"temp_max\":285.04,\"pressure\":1032.7,\"humidity\":86.9},\"wind\":{\"speed\":2.6,\"deg\":56,\"gust\":3.2},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":20,\"low\":0,\"middle\":0,\"high\":20},\"dt_txt\":\"2013-02-15 02:00:00\"},{\"dt\":1360904400,\"calc_dt\":1360537200,\"main\":{\"temp\":283.68,\"temp_min\":283.66,\"temp_max\":285.04,\"pressure\":1032.74,\"humidity\":85.4},\"wind\":{\"speed\":2.2,\"deg\":70,\"gust\":2.8},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":20,\"low\":0,\"middle\":0,\"high\":20},\"dt_txt\":\"2013-02-15 05:00:00\"},{\"dt\":1360915200,\"calc_dt\":1360537200,\"main\":{\"temp\":286.25,\"temp_min\":283.41,\"temp_max\":286.25,\"pressure\":1033.65,\"humidity\":73.7},\"wind\":{\"speed\":2.03,\"deg\":77,\"gust\":2.3},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":31,\"low\":0,\"middle\":0,\"high\":31},\"dt_txt\":\"2013-02-15 08:00:00\"},{\"dt\":1360926000,\"calc_dt\":1360537200,\"main\":{\"temp\":290.72,\"temp_min\":283.41,\"temp_max\":290.74,\"pressure\":1034.04,\"humidity\":64.9},\"wind\":{\"speed\":0.84,\"deg\":93,\"gust\":1.2},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":34,\"low\":0,\"middle\":0,\"high\":34},\"dt_txt\":\"2013-02-15 11:00:00\"},{\"dt\":1360936800,\"calc_dt\":1360537200,\"main\":{\"temp\":291.73,\"temp_min\":290.84,\"temp_max\":291.96,\"pressure\":1031.95,\"humidity\":59.7},\"wind\":{\"speed\":1.06,\"deg\":243,\"gust\":0.9},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":34,\"low\":0,\"middle\":0,\"high\":34},\"dt_txt\":\"2013-02-15 14:00:00\"},{\"dt\":1360947600,\"calc_dt\":1360537200,\"main\":{\"temp\":288.34,\"temp_min\":288.1,\"temp_max\":292.07,\"pressure\":1032.13,\"humidity\":73.6},\"wind\":{\"speed\":1.97,\"deg\":290,\"gust\":2.6},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":17,\"low\":0,\"middle\":0,\"high\":17},\"dt_txt\":\"2013-02-15 17:00:00\"},{\"dt\":1360958400,\"calc_dt\":1360537200,\"main\":{\"temp\":286.23,\"temp_min\":286.21,\"temp_max\":288.04,\"pressure\":1033.59,\"humidity\":84.3},\"wind\":{\"speed\":1.59,\"deg\":327,\"gust\":2.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"02n\"}],\"clouds\":{\"all\":8,\"low\":0,\"middle\":0,\"high\":8},\"dt_txt\":\"2013-02-15 20:00:00\"},{\"dt\":1360969200,\"calc_dt\":1360537200,\"main\":{\"temp\":285.2,\"temp_min\":285.18,\"temp_max\":288.04,\"pressure\":1033.56,\"humidity\":85.9},\"wind\":{\"speed\":1.21,\"deg\":354,\"gust\":1.7},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":11,\"low\":0,\"middle\":0,\"high\":11},\"dt_txt\":\"2013-02-15 23:00:00\"},{\"dt\":1360980000,\"calc_dt\":1360537200,\"main\":{\"temp\":284.41,\"temp_min\":284.41,\"temp_max\":285.18,\"pressure\":1032.8,\"humidity\":86.8},\"wind\":{\"speed\":1.02,\"deg\":35,\"gust\":1.4},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":18,\"low\":0,\"middle\":0,\"high\":18},\"dt_txt\":\"2013-02-16 02:00:00\"},{\"dt\":1360990800,\"calc_dt\":1360537200,\"main\":{\"temp\":283.9,\"temp_min\":283.9,\"temp_max\":285.18,\"pressure\":1032.78,\"humidity\":86.8},\"wind\":{\"speed\":1.08,\"deg\":84,\"gust\":1.5},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":18,\"low\":0,\"middle\":0,\"high\":18},\"dt_txt\":\"2013-02-16 05:00:00\"},{\"dt\":1361001600,\"calc_dt\":1360537200,\"main\":{\"temp\":287.84,\"temp_min\":283.78,\"temp_max\":287.88,\"pressure\":1034.13,\"humidity\":73.6},\"wind\":{\"speed\":1.84,\"deg\":106,\"gust\":2.2},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":18,\"low\":0,\"middle\":0,\"high\":18},\"dt_txt\":\"2013-02-16 08:00:00\"},{\"dt\":1361012400,\"calc_dt\":1360537200,\"main\":{\"temp\":291.14,\"temp_min\":283.78,\"temp_max\":291.18,\"pressure\":1034.45,\"humidity\":61.7},\"wind\":{\"speed\":1.46,\"deg\":141,\"gust\":2.2},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":23,\"low\":0,\"middle\":0,\"high\":23},\"dt_txt\":\"2013-02-16 11:00:00\"},{\"dt\":1361023200,\"calc_dt\":1360537200,\"main\":{\"temp\":291.74,\"temp_min\":291.18,\"temp_max\":291.79,\"pressure\":1032.9,\"humidity\":56.1},\"wind\":{\"speed\":2.52,\"deg\":221,\"gust\":2.8},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":30,\"low\":0,\"middle\":0,\"high\":30},\"dt_txt\":\"2013-02-16 14:00:00\"},{\"dt\":1361034000,\"calc_dt\":1360537200,\"main\":{\"temp\":288,\"temp_min\":287.94,\"temp_max\":291.79,\"pressure\":1033.59,\"humidity\":73.4},\"wind\":{\"speed\":2.65,\"deg\":258,\"gust\":3.6},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":38,\"low\":0,\"middle\":0,\"high\":38},\"dt_txt\":\"2013-02-16 17:00:00\"},{\"dt\":1361044800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.2,\"temp_min\":285.2,\"temp_max\":287.8,\"pressure\":1034.54,\"humidity\":84.7},\"wind\":{\"speed\":1.21,\"deg\":270,\"gust\":1.7},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":26,\"low\":0,\"middle\":0,\"high\":26},\"dt_txt\":\"2013-02-16 20:00:00\"},{\"dt\":1361055600,\"calc_dt\":1360537200,\"main\":{\"temp\":284.11,\"temp_min\":284.11,\"temp_max\":287.75,\"pressure\":1034.43,\"humidity\":85.2},\"wind\":{\"speed\":0.66,\"deg\":93,\"gust\":1},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":26,\"low\":0,\"middle\":0,\"high\":26},\"dt_txt\":\"2013-02-16 23:00:00\"},{\"dt\":1361066400,\"calc_dt\":1360537200,\"main\":{\"temp\":283.41,\"temp_min\":283.41,\"temp_max\":284.12,\"pressure\":1033.64,\"humidity\":85.3},\"wind\":{\"speed\":0.42,\"deg\":166,\"gust\":0.6},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":29,\"low\":0,\"middle\":0,\"high\":29},\"dt_txt\":\"2013-02-17 02:00:00\"},{\"dt\":1361077200,\"calc_dt\":1360537200,\"main\":{\"temp\":282.95,\"temp_min\":282.92,\"temp_max\":284.12,\"pressure\":1033.65,\"humidity\":83.6},\"wind\":{\"speed\":1.04,\"deg\":104,\"gust\":1.4},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":26,\"low\":0,\"middle\":0,\"high\":26},\"dt_txt\":\"2013-02-17 05:00:00\"},{\"dt\":1361088000,\"calc_dt\":1360537200,\"main\":{\"temp\":287.57,\"temp_min\":282.74,\"temp_max\":287.57,\"pressure\":1035.19,\"humidity\":71.3},\"wind\":{\"speed\":0.94,\"deg\":148,\"gust\":1.2},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":36,\"low\":0,\"middle\":0,\"high\":36},\"dt_txt\":\"2013-02-17 08:00:00\"},{\"dt\":1361098800,\"calc_dt\":1360537200,\"main\":{\"temp\":290.83,\"temp_min\":282.74,\"temp_max\":290.86,\"pressure\":1035.28,\"humidity\":61.7},\"wind\":{\"speed\":1.13,\"deg\":187,\"gust\":1.4},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":33,\"low\":0,\"middle\":0,\"high\":33},\"dt_txt\":\"2013-02-17 11:00:00\"},{\"dt\":1361109600,\"calc_dt\":1360537200,\"main\":{\"temp\":291.38,\"temp_min\":290.86,\"temp_max\":291.48,\"pressure\":1033.36,\"humidity\":57.2},\"wind\":{\"speed\":1.64,\"deg\":253,\"gust\":1.6},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":21,\"low\":0,\"middle\":2,\"high\":20},\"dt_txt\":\"2013-02-17 14:00:00\"},{\"dt\":1361120400,\"calc_dt\":1360537200,\"main\":{\"temp\":288.12,\"temp_min\":287.95,\"temp_max\":291.48,\"pressure\":1033.27,\"humidity\":70.5},\"wind\":{\"speed\":1.8,\"deg\":293,\"gust\":2.4},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":29,\"low\":0,\"middle\":13,\"high\":27},\"dt_txt\":\"2013-02-17 17:00:00\"},{\"dt\":1361131200,\"calc_dt\":1360537200,\"main\":{\"temp\":286.14,\"temp_min\":286.13,\"temp_max\":287.79,\"pressure\":1034.13,\"humidity\":76.3},\"wind\":{\"speed\":1.73,\"deg\":341,\"gust\":2.3},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":51,\"low\":0,\"middle\":48,\"high\":25},\"dt_txt\":\"2013-02-17 20:00:00\"},{\"dt\":1361142000,\"calc_dt\":1360537200,\"main\":{\"temp\":285.15,\"temp_min\":285.15,\"temp_max\":287.79,\"pressure\":1033.89,\"humidity\":82.5},\"wind\":{\"speed\":1.57,\"deg\":6,\"gust\":2.1},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":29,\"low\":0,\"middle\":27,\"high\":13},\"dt_txt\":\"2013-02-17 23:00:00\"},{\"dt\":1361152800,\"calc_dt\":1360537200,\"main\":{\"temp\":284.78,\"temp_min\":284.76,\"temp_max\":285.16,\"pressure\":1032.64,\"humidity\":81.6},\"wind\":{\"speed\":1.96,\"deg\":59,\"gust\":2.6},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":0,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-18 02:00:00\"},{\"dt\":1361163600,\"calc_dt\":1360537200,\"main\":{\"temp\":284.42,\"temp_min\":284.36,\"temp_max\":285.16,\"pressure\":1032.8,\"humidity\":80.8},\"wind\":{\"speed\":2.17,\"deg\":42,\"gust\":2.8},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":0,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-18 05:00:00\"},{\"dt\":1361174400,\"calc_dt\":1360537200,\"main\":{\"temp\":287.07,\"temp_min\":284.28,\"temp_max\":287.18,\"pressure\":1033.59,\"humidity\":70.1},\"wind\":{\"speed\":2.61,\"deg\":68,\"gust\":3.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"02d\"}],\"clouds\":{\"all\":7,\"low\":0,\"middle\":0,\"high\":7},\"dt_txt\":\"2013-02-18 08:00:00\"}]}";
	static final public String FORECAST_WEATHER_AT_CITY_NAME_LISBON = "{\"cod\":\"200\",\"message\":\"\",\"calctime\":0.6828,\"url\":\"http:\\/\\/openweathermap.org\\/city\\/2267057\",\"city\":{\"id\":2267057,\"coord\":{\"lon\":-9.13333,\"lat\":38.716671},\"country\":\"PT\",\"name\":\"Lisbon\",\"dt_calc\":1360574906,\"stations_count\":3},\"cnt\":57,\"units\":\"internal\",\"model\":\"GFS-OWM\",\"list\":[{\"dt\":1360569600,\"calc_dt\":1360537200,\"main\":{\"temp\":282.53,\"temp_min\":282.53,\"temp_max\":284.37,\"pressure\":1031.48,\"humidity\":61.6,\"temp_kf\":-1.8},\"wind\":{\"speed\":7.42,\"deg\":319,\"gust\":13},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":83,\"low\":18,\"middle\":0,\"high\":80},\"dt_txt\":\"2013-02-11 08:00:00\"},{\"dt\":1360580400,\"calc_dt\":1360537200,\"main\":{\"temp\":284.05,\"temp_min\":283.47,\"temp_max\":285.73,\"pressure\":1032.03,\"humidity\":56.4,\"temp_kf\":-1.71},\"wind\":{\"speed\":9.7,\"deg\":320,\"gust\":13.3},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":88,\"low\":39,\"middle\":0,\"high\":81},\"rain\":{\"3h\":0.2},\"dt_txt\":\"2013-02-11 11:00:00\"},{\"dt\":1360591200,\"calc_dt\":1360537200,\"main\":{\"temp\":284.61,\"temp_min\":284.61,\"temp_max\":286.28,\"pressure\":1031.83,\"humidity\":56.7,\"temp_kf\":-1.62},\"wind\":{\"speed\":10.1,\"deg\":321,\"gust\":13.9},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":92,\"low\":54,\"middle\":0,\"high\":84},\"rain\":{\"3h\":0.3},\"dt_txt\":\"2013-02-11 14:00:00\"},{\"dt\":1360602000,\"calc_dt\":1360537200,\"main\":{\"temp\":283.07,\"temp_min\":283.07,\"temp_max\":286.3,\"pressure\":1032.13,\"humidity\":66.6,\"temp_kf\":-1.53},\"wind\":{\"speed\":6.68,\"deg\":322,\"gust\":11.3},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":86,\"low\":32,\"middle\":0,\"high\":81},\"rain\":{\"3h\":0.4},\"dt_txt\":\"2013-02-11 17:00:00\"},{\"dt\":1360612800,\"calc_dt\":1360537200,\"main\":{\"temp\":282.99,\"temp_min\":282.99,\"temp_max\":284.54,\"pressure\":1033.27,\"humidity\":74.1,\"temp_kf\":-1.44},\"wind\":{\"speed\":5.37,\"deg\":318,\"gust\":9.1},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":84,\"low\":25,\"middle\":0,\"high\":77},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-11 20:00:00\"},{\"dt\":1360623600,\"calc_dt\":1360537200,\"main\":{\"temp\":283.36,\"temp_min\":283.36,\"temp_max\":284.72,\"pressure\":1032.18,\"humidity\":88.8,\"temp_kf\":-1.35},\"wind\":{\"speed\":3.76,\"deg\":289,\"gust\":7.3},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10n\"}],\"clouds\":{\"all\":90,\"low\":61,\"middle\":0,\"high\":67},\"rain\":{\"3h\":1.8},\"dt_txt\":\"2013-02-11 23:00:00\"},{\"dt\":1360634400,\"calc_dt\":1360537200,\"main\":{\"temp\":284.28,\"temp_min\":284.28,\"temp_max\":285.64,\"pressure\":1030.25,\"humidity\":91,\"temp_kf\":-1.26},\"wind\":{\"speed\":5.27,\"deg\":330,\"gust\":10.4},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10n\"}],\"clouds\":{\"all\":99,\"low\":97,\"middle\":0,\"high\":48},\"rain\":{\"3h\":1.3},\"dt_txt\":\"2013-02-12 02:00:00\"},{\"dt\":1360645200,\"calc_dt\":1360537200,\"main\":{\"temp\":283.92,\"temp_min\":283.92,\"temp_max\":285.64,\"pressure\":1031.31,\"humidity\":88.4,\"temp_kf\":-1.17},\"wind\":{\"speed\":4.64,\"deg\":338,\"gust\":9.9},\"weather\":[{\"id\":500,\"main\":\"Rain\",\"description\":\"light rain\",\"icon\":\"10n\"}],\"clouds\":{\"all\":98,\"low\":97,\"middle\":0,\"high\":38},\"rain\":{\"3h\":1.4},\"dt_txt\":\"2013-02-12 05:00:00\"},{\"dt\":1360656000,\"calc_dt\":1360537200,\"main\":{\"temp\":284.42,\"temp_min\":284.42,\"temp_max\":285.49,\"pressure\":1032.67,\"humidity\":87.2,\"temp_kf\":-1.08},\"wind\":{\"speed\":3.74,\"deg\":327,\"gust\":8.1},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":96,\"low\":93,\"middle\":0,\"high\":26},\"rain\":{\"3h\":0.1},\"dt_txt\":\"2013-02-12 08:00:00\"},{\"dt\":1360666800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.49,\"temp_min\":285.04,\"temp_max\":286.52,\"pressure\":1033.76,\"humidity\":90.8,\"temp_kf\":-0.99},\"wind\":{\"speed\":5.63,\"deg\":312,\"gust\":10.9},\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":97,\"low\":96,\"middle\":0,\"high\":19},\"rain\":{\"3h\":0.4},\"dt_txt\":\"2013-02-12 11:00:00\"},{\"dt\":1360677600,\"calc_dt\":1360537200,\"main\":{\"temp\":287.1,\"temp_min\":286.5,\"temp_max\":288.2,\"pressure\":1032.95,\"humidity\":82,\"temp_kf\":-0.9},\"wind\":{\"speed\":8.63,\"deg\":326,\"gust\":12.1},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":76,\"low\":67,\"middle\":0,\"high\":27},\"rain\":{\"3h\":0.2},\"dt_txt\":\"2013-02-12 14:00:00\"},{\"dt\":1360688400,\"calc_dt\":1360537200,\"main\":{\"temp\":285.59,\"temp_min\":285.59,\"temp_max\":288.2,\"pressure\":1033.41,\"humidity\":86.8,\"temp_kf\":-0.81},\"wind\":{\"speed\":6.88,\"deg\":323,\"gust\":11.8},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":75,\"low\":68,\"middle\":0,\"high\":22},\"rain\":{\"3h\":0.3},\"dt_txt\":\"2013-02-12 17:00:00\"},{\"dt\":1360699200,\"calc_dt\":1360537200,\"main\":{\"temp\":285.48,\"temp_min\":285.48,\"temp_max\":286.35,\"pressure\":1034.6,\"humidity\":91.5,\"temp_kf\":-0.72},\"wind\":{\"speed\":5.87,\"deg\":332,\"gust\":11},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":49,\"low\":49,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-12 20:00:00\"},{\"dt\":1360710000,\"calc_dt\":1360537200,\"main\":{\"temp\":285.42,\"temp_min\":285.42,\"temp_max\":286.44,\"pressure\":1035.12,\"humidity\":93.1,\"temp_kf\":-0.63},\"wind\":{\"speed\":4.97,\"deg\":326,\"gust\":9.6},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":38,\"low\":38,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-12 23:00:00\"},{\"dt\":1360720800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.76,\"temp_min\":285.76,\"temp_max\":286.35,\"pressure\":1034.69,\"humidity\":93.1,\"temp_kf\":-0.54},\"wind\":{\"speed\":5,\"deg\":332,\"gust\":9.8},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":52,\"low\":52,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-13 02:00:00\"},{\"dt\":1360731600,\"calc_dt\":1360537200,\"main\":{\"temp\":285.88,\"temp_min\":285.88,\"temp_max\":286.44,\"pressure\":1034.63,\"humidity\":91.1,\"temp_kf\":-0.45},\"wind\":{\"speed\":4.76,\"deg\":346,\"gust\":10},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":57,\"low\":57,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0.1},\"dt_txt\":\"2013-02-13 05:00:00\"},{\"dt\":1360742400,\"calc_dt\":1360537200,\"main\":{\"temp\":286.54,\"temp_min\":286.15,\"temp_max\":286.87,\"pressure\":1035.75,\"humidity\":87.3,\"temp_kf\":-0.36},\"wind\":{\"speed\":5.22,\"deg\":354,\"gust\":10.4},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":69,\"low\":69,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-13 08:00:00\"},{\"dt\":1360753200,\"calc_dt\":1360537200,\"main\":{\"temp\":289.37,\"temp_min\":286.15,\"temp_max\":289.61,\"pressure\":1036.36,\"humidity\":73.6,\"temp_kf\":-0.27},\"wind\":{\"speed\":4.98,\"deg\":359,\"gust\":7.9},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":35,\"low\":35,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-13 11:00:00\"},{\"dt\":1360764000,\"calc_dt\":1360537200,\"main\":{\"temp\":290.44,\"temp_min\":289.7,\"temp_max\":290.66,\"pressure\":1034.75,\"humidity\":69.3,\"temp_kf\":-0.18},\"wind\":{\"speed\":5.54,\"deg\":345,\"gust\":7.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01d\"}],\"clouds\":{\"all\":1,\"low\":1,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 14:00:00\"},{\"dt\":1360774800,\"calc_dt\":1360537200,\"main\":{\"temp\":287.32,\"temp_min\":287.32,\"temp_max\":290.66,\"pressure\":1035.16,\"humidity\":84,\"temp_kf\":-0.09},\"wind\":{\"speed\":5.72,\"deg\":350,\"gust\":9.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01d\"}],\"clouds\":{\"all\":1,\"low\":1,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 17:00:00\"},{\"dt\":1360785600,\"calc_dt\":1360537200,\"main\":{\"temp\":285.44,\"temp_min\":285.42,\"temp_max\":287.4,\"pressure\":1036.02,\"humidity\":89.2},\"wind\":{\"speed\":4.37,\"deg\":356,\"gust\":8.1},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":1,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 20:00:00\"},{\"dt\":1360796400,\"calc_dt\":1360537200,\"main\":{\"temp\":284.39,\"temp_min\":284.39,\"temp_max\":287.35,\"pressure\":1036.29,\"humidity\":93.2},\"wind\":{\"speed\":3.09,\"deg\":7,\"gust\":4.5},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":1,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-13 23:00:00\"},{\"dt\":1360807200,\"calc_dt\":1360537200,\"main\":{\"temp\":283.43,\"temp_min\":283.43,\"temp_max\":284.39,\"pressure\":1035.23,\"humidity\":95.6},\"wind\":{\"speed\":2.87,\"deg\":20,\"gust\":3.7},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":0,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-14 02:00:00\"},{\"dt\":1360818000,\"calc_dt\":1360537200,\"main\":{\"temp\":283.48,\"temp_min\":283.12,\"temp_max\":284.39,\"pressure\":1034.83,\"humidity\":95.5},\"wind\":{\"speed\":2.86,\"deg\":29,\"gust\":3.7},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":14,\"low\":14,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-14 05:00:00\"},{\"dt\":1360828800,\"calc_dt\":1360537200,\"main\":{\"temp\":284.19,\"temp_min\":283.5,\"temp_max\":284.23,\"pressure\":1036.14,\"humidity\":89.5},\"wind\":{\"speed\":2.89,\"deg\":35,\"gust\":3.6},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":81,\"low\":81,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-14 08:00:00\"},{\"dt\":1360839600,\"calc_dt\":1360537200,\"main\":{\"temp\":287.93,\"temp_min\":283.5,\"temp_max\":287.95,\"pressure\":1035.69,\"humidity\":73.9},\"wind\":{\"speed\":1.99,\"deg\":24,\"gust\":2.6},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04d\"}],\"clouds\":{\"all\":54,\"low\":54,\"middle\":0,\"high\":0},\"rain\":{\"3h\":0},\"dt_txt\":\"2013-02-14 11:00:00\"},{\"dt\":1360850400,\"calc_dt\":1360537200,\"main\":{\"temp\":290.3,\"temp_min\":288,\"temp_max\":290.31,\"pressure\":1033.43,\"humidity\":66.5},\"wind\":{\"speed\":1.94,\"deg\":337,\"gust\":2.3},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"02d\"}],\"clouds\":{\"all\":7,\"low\":0,\"middle\":0,\"high\":6},\"dt_txt\":\"2013-02-14 14:00:00\"},{\"dt\":1360861200,\"calc_dt\":1360537200,\"main\":{\"temp\":287.6,\"temp_min\":286.95,\"temp_max\":290.43,\"pressure\":1032.73,\"humidity\":79.5},\"wind\":{\"speed\":2.19,\"deg\":340,\"gust\":2.9},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":16,\"low\":0,\"middle\":0,\"high\":16},\"dt_txt\":\"2013-02-14 17:00:00\"},{\"dt\":1360872000,\"calc_dt\":1360537200,\"main\":{\"temp\":285.83,\"temp_min\":285.83,\"temp_max\":287.4,\"pressure\":1033.63,\"humidity\":87.1},\"wind\":{\"speed\":2.25,\"deg\":358,\"gust\":2.9},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":25,\"low\":0,\"middle\":0,\"high\":25},\"dt_txt\":\"2013-02-14 20:00:00\"},{\"dt\":1360882800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.05,\"temp_min\":285.04,\"temp_max\":287.42,\"pressure\":1033.67,\"humidity\":87.6},\"wind\":{\"speed\":2.53,\"deg\":30,\"gust\":3.1},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":23,\"low\":0,\"middle\":0,\"high\":23},\"dt_txt\":\"2013-02-14 23:00:00\"},{\"dt\":1360893600,\"calc_dt\":1360537200,\"main\":{\"temp\":284.33,\"temp_min\":284.33,\"temp_max\":285.04,\"pressure\":1032.7,\"humidity\":86.9},\"wind\":{\"speed\":2.6,\"deg\":56,\"gust\":3.2},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":20,\"low\":0,\"middle\":0,\"high\":20},\"dt_txt\":\"2013-02-15 02:00:00\"},{\"dt\":1360904400,\"calc_dt\":1360537200,\"main\":{\"temp\":283.68,\"temp_min\":283.66,\"temp_max\":285.04,\"pressure\":1032.74,\"humidity\":85.4},\"wind\":{\"speed\":2.2,\"deg\":70,\"gust\":2.8},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":20,\"low\":0,\"middle\":0,\"high\":20},\"dt_txt\":\"2013-02-15 05:00:00\"},{\"dt\":1360915200,\"calc_dt\":1360537200,\"main\":{\"temp\":286.25,\"temp_min\":283.41,\"temp_max\":286.25,\"pressure\":1033.65,\"humidity\":73.7},\"wind\":{\"speed\":2.03,\"deg\":77,\"gust\":2.3},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":31,\"low\":0,\"middle\":0,\"high\":31},\"dt_txt\":\"2013-02-15 08:00:00\"},{\"dt\":1360926000,\"calc_dt\":1360537200,\"main\":{\"temp\":290.72,\"temp_min\":283.41,\"temp_max\":290.74,\"pressure\":1034.04,\"humidity\":64.9},\"wind\":{\"speed\":0.84,\"deg\":93,\"gust\":1.2},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":34,\"low\":0,\"middle\":0,\"high\":34},\"dt_txt\":\"2013-02-15 11:00:00\"},{\"dt\":1360936800,\"calc_dt\":1360537200,\"main\":{\"temp\":291.73,\"temp_min\":290.84,\"temp_max\":291.96,\"pressure\":1031.95,\"humidity\":59.7},\"wind\":{\"speed\":1.06,\"deg\":243,\"gust\":0.9},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":34,\"low\":0,\"middle\":0,\"high\":34},\"dt_txt\":\"2013-02-15 14:00:00\"},{\"dt\":1360947600,\"calc_dt\":1360537200,\"main\":{\"temp\":288.34,\"temp_min\":288.1,\"temp_max\":292.07,\"pressure\":1032.13,\"humidity\":73.6},\"wind\":{\"speed\":1.97,\"deg\":290,\"gust\":2.6},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":17,\"low\":0,\"middle\":0,\"high\":17},\"dt_txt\":\"2013-02-15 17:00:00\"},{\"dt\":1360958400,\"calc_dt\":1360537200,\"main\":{\"temp\":286.23,\"temp_min\":286.21,\"temp_max\":288.04,\"pressure\":1033.59,\"humidity\":84.3},\"wind\":{\"speed\":1.59,\"deg\":327,\"gust\":2.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"02n\"}],\"clouds\":{\"all\":8,\"low\":0,\"middle\":0,\"high\":8},\"dt_txt\":\"2013-02-15 20:00:00\"},{\"dt\":1360969200,\"calc_dt\":1360537200,\"main\":{\"temp\":285.2,\"temp_min\":285.18,\"temp_max\":288.04,\"pressure\":1033.56,\"humidity\":85.9},\"wind\":{\"speed\":1.21,\"deg\":354,\"gust\":1.7},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":11,\"low\":0,\"middle\":0,\"high\":11},\"dt_txt\":\"2013-02-15 23:00:00\"},{\"dt\":1360980000,\"calc_dt\":1360537200,\"main\":{\"temp\":284.41,\"temp_min\":284.41,\"temp_max\":285.18,\"pressure\":1032.8,\"humidity\":86.8},\"wind\":{\"speed\":1.02,\"deg\":35,\"gust\":1.4},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":18,\"low\":0,\"middle\":0,\"high\":18},\"dt_txt\":\"2013-02-16 02:00:00\"},{\"dt\":1360990800,\"calc_dt\":1360537200,\"main\":{\"temp\":283.9,\"temp_min\":283.9,\"temp_max\":285.18,\"pressure\":1032.78,\"humidity\":86.8},\"wind\":{\"speed\":1.08,\"deg\":84,\"gust\":1.5},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02n\"}],\"clouds\":{\"all\":18,\"low\":0,\"middle\":0,\"high\":18},\"dt_txt\":\"2013-02-16 05:00:00\"},{\"dt\":1361001600,\"calc_dt\":1360537200,\"main\":{\"temp\":287.84,\"temp_min\":283.78,\"temp_max\":287.88,\"pressure\":1034.13,\"humidity\":73.6},\"wind\":{\"speed\":1.84,\"deg\":106,\"gust\":2.2},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":18,\"low\":0,\"middle\":0,\"high\":18},\"dt_txt\":\"2013-02-16 08:00:00\"},{\"dt\":1361012400,\"calc_dt\":1360537200,\"main\":{\"temp\":291.14,\"temp_min\":283.78,\"temp_max\":291.18,\"pressure\":1034.45,\"humidity\":61.7},\"wind\":{\"speed\":1.46,\"deg\":141,\"gust\":2.2},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":23,\"low\":0,\"middle\":0,\"high\":23},\"dt_txt\":\"2013-02-16 11:00:00\"},{\"dt\":1361023200,\"calc_dt\":1360537200,\"main\":{\"temp\":291.74,\"temp_min\":291.18,\"temp_max\":291.79,\"pressure\":1032.9,\"humidity\":56.1},\"wind\":{\"speed\":2.52,\"deg\":221,\"gust\":2.8},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":30,\"low\":0,\"middle\":0,\"high\":30},\"dt_txt\":\"2013-02-16 14:00:00\"},{\"dt\":1361034000,\"calc_dt\":1360537200,\"main\":{\"temp\":288,\"temp_min\":287.94,\"temp_max\":291.79,\"pressure\":1033.59,\"humidity\":73.4},\"wind\":{\"speed\":2.65,\"deg\":258,\"gust\":3.6},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":38,\"low\":0,\"middle\":0,\"high\":38},\"dt_txt\":\"2013-02-16 17:00:00\"},{\"dt\":1361044800,\"calc_dt\":1360537200,\"main\":{\"temp\":285.2,\"temp_min\":285.2,\"temp_max\":287.8,\"pressure\":1034.54,\"humidity\":84.7},\"wind\":{\"speed\":1.21,\"deg\":270,\"gust\":1.7},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":26,\"low\":0,\"middle\":0,\"high\":26},\"dt_txt\":\"2013-02-16 20:00:00\"},{\"dt\":1361055600,\"calc_dt\":1360537200,\"main\":{\"temp\":284.11,\"temp_min\":284.11,\"temp_max\":287.75,\"pressure\":1034.43,\"humidity\":85.2},\"wind\":{\"speed\":0.66,\"deg\":93,\"gust\":1},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":26,\"low\":0,\"middle\":0,\"high\":26},\"dt_txt\":\"2013-02-16 23:00:00\"},{\"dt\":1361066400,\"calc_dt\":1360537200,\"main\":{\"temp\":283.41,\"temp_min\":283.41,\"temp_max\":284.12,\"pressure\":1033.64,\"humidity\":85.3},\"wind\":{\"speed\":0.42,\"deg\":166,\"gust\":0.6},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":29,\"low\":0,\"middle\":0,\"high\":29},\"dt_txt\":\"2013-02-17 02:00:00\"},{\"dt\":1361077200,\"calc_dt\":1360537200,\"main\":{\"temp\":282.95,\"temp_min\":282.92,\"temp_max\":284.12,\"pressure\":1033.65,\"humidity\":83.6},\"wind\":{\"speed\":1.04,\"deg\":104,\"gust\":1.4},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":26,\"low\":0,\"middle\":0,\"high\":26},\"dt_txt\":\"2013-02-17 05:00:00\"},{\"dt\":1361088000,\"calc_dt\":1360537200,\"main\":{\"temp\":287.57,\"temp_min\":282.74,\"temp_max\":287.57,\"pressure\":1035.19,\"humidity\":71.3},\"wind\":{\"speed\":0.94,\"deg\":148,\"gust\":1.2},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":36,\"low\":0,\"middle\":0,\"high\":36},\"dt_txt\":\"2013-02-17 08:00:00\"},{\"dt\":1361098800,\"calc_dt\":1360537200,\"main\":{\"temp\":290.83,\"temp_min\":282.74,\"temp_max\":290.86,\"pressure\":1035.28,\"humidity\":61.7},\"wind\":{\"speed\":1.13,\"deg\":187,\"gust\":1.4},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":33,\"low\":0,\"middle\":0,\"high\":33},\"dt_txt\":\"2013-02-17 11:00:00\"},{\"dt\":1361109600,\"calc_dt\":1360537200,\"main\":{\"temp\":291.38,\"temp_min\":290.86,\"temp_max\":291.48,\"pressure\":1033.36,\"humidity\":57.2},\"wind\":{\"speed\":1.64,\"deg\":253,\"gust\":1.6},\"weather\":[{\"id\":801,\"main\":\"Clouds\",\"description\":\"few clouds\",\"icon\":\"02d\"}],\"clouds\":{\"all\":21,\"low\":0,\"middle\":2,\"high\":20},\"dt_txt\":\"2013-02-17 14:00:00\"},{\"dt\":1361120400,\"calc_dt\":1360537200,\"main\":{\"temp\":288.12,\"temp_min\":287.95,\"temp_max\":291.48,\"pressure\":1033.27,\"humidity\":70.5},\"wind\":{\"speed\":1.8,\"deg\":293,\"gust\":2.4},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03d\"}],\"clouds\":{\"all\":29,\"low\":0,\"middle\":13,\"high\":27},\"dt_txt\":\"2013-02-17 17:00:00\"},{\"dt\":1361131200,\"calc_dt\":1360537200,\"main\":{\"temp\":286.14,\"temp_min\":286.13,\"temp_max\":287.79,\"pressure\":1034.13,\"humidity\":76.3},\"wind\":{\"speed\":1.73,\"deg\":341,\"gust\":2.3},\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"clouds\":{\"all\":51,\"low\":0,\"middle\":48,\"high\":25},\"dt_txt\":\"2013-02-17 20:00:00\"},{\"dt\":1361142000,\"calc_dt\":1360537200,\"main\":{\"temp\":285.15,\"temp_min\":285.15,\"temp_max\":287.79,\"pressure\":1033.89,\"humidity\":82.5},\"wind\":{\"speed\":1.57,\"deg\":6,\"gust\":2.1},\"weather\":[{\"id\":802,\"main\":\"Clouds\",\"description\":\"scattered clouds\",\"icon\":\"03n\"}],\"clouds\":{\"all\":29,\"low\":0,\"middle\":27,\"high\":13},\"dt_txt\":\"2013-02-17 23:00:00\"},{\"dt\":1361152800,\"calc_dt\":1360537200,\"main\":{\"temp\":284.78,\"temp_min\":284.76,\"temp_max\":285.16,\"pressure\":1032.64,\"humidity\":81.6},\"wind\":{\"speed\":1.96,\"deg\":59,\"gust\":2.6},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":0,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-18 02:00:00\"},{\"dt\":1361163600,\"calc_dt\":1360537200,\"main\":{\"temp\":284.42,\"temp_min\":284.36,\"temp_max\":285.16,\"pressure\":1032.8,\"humidity\":80.8},\"wind\":{\"speed\":2.17,\"deg\":42,\"gust\":2.8},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"01n\"}],\"clouds\":{\"all\":0,\"low\":0,\"middle\":0,\"high\":0},\"dt_txt\":\"2013-02-18 05:00:00\"},{\"dt\":1361174400,\"calc_dt\":1360537200,\"main\":{\"temp\":287.07,\"temp_min\":284.28,\"temp_max\":287.18,\"pressure\":1033.59,\"humidity\":70.1},\"wind\":{\"speed\":2.61,\"deg\":68,\"gust\":3.2},\"weather\":[{\"id\":800,\"main\":\"Clear\",\"description\":\"sky is clear\",\"icon\":\"02d\"}],\"clouds\":{\"all\":7,\"low\":0,\"middle\":0,\"high\":7},\"dt_txt\":\"2013-02-18 08:00:00\"}]}";

	static final public String HISTORY_WEATHER_AT_CITY_ID = "{\"message\":\"millis 1\",\"cod\":\"200\",\"city_id\":2885679,\"calctime\":\" find = 0.0131 fetch = 0.0056 total=0.0186\",\"cnt\":28,\"list\":[{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":270.33,\"pressure\":1001,\"humidity\":85,\"temp_min\":268.71,\"temp_max\":274.82},\"wind\":{\"speed\":2.1,\"deg\":10},\"clouds\":{\"all\":20},\"dt\":1360720800},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":270.33,\"pressure\":1002,\"humidity\":79,\"temp_min\":268.71,\"temp_max\":274.82},\"wind\":{\"speed\":2.1,\"deg\":10},\"clouds\":{\"all\":75},\"dt\":1360724400},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":270.2,\"pressure\":1002,\"humidity\":79,\"temp_min\":268.71,\"temp_max\":274.82},\"wind\":{\"speed\":3.1,\"deg\":10},\"clouds\":{\"all\":90},\"dt\":1360728000},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":269.09,\"pressure\":1003,\"humidity\":79,\"temp_min\":268.71,\"temp_max\":270.15},\"wind\":{\"speed\":3.1,\"deg\":20},\"clouds\":{\"all\":90},\"dt\":1360731600},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50d\"}],\"main\":{\"temp\":269.09,\"pressure\":1003,\"humidity\":79,\"temp_min\":268.71,\"temp_max\":270.15},\"wind\":{\"speed\":2.6,\"deg\":20},\"clouds\":{\"all\":90},\"dt\":1360735200},{\"weather\":[{\"id\":601,\"main\":\"Snow\",\"description\":\"snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":269.41,\"pressure\":1004,\"humidity\":79,\"temp_min\":269.15,\"temp_max\":270.15},\"wind\":{\"speed\":2.6,\"deg\":10},\"clouds\":{\"all\":90},\"dt\":1360738800},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":269.72,\"pressure\":1005,\"humidity\":79,\"temp_min\":265.93,\"temp_max\":274.82},\"wind\":{\"speed\":2.6,\"deg\":10},\"clouds\":{\"all\":90},\"dt\":1360742400},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":270.27,\"pressure\":1007,\"humidity\":68,\"temp_min\":267.04,\"temp_max\":274.82},\"wind\":{\"speed\":3.1,\"deg\":350},\"clouds\":{\"all\":75},\"dt\":1360749600},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13d\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":271.47,\"pressure\":1007,\"humidity\":73,\"temp_min\":270.15,\"temp_max\":274.82},\"wind\":{\"speed\":2.6,\"deg\":10},\"clouds\":{\"all\":75},\"dt\":1360753200},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13d\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":270.94,\"pressure\":1008,\"humidity\":73,\"temp_min\":269.26,\"temp_max\":274.82},\"wind\":{\"speed\":1,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360756800},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13d\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50d\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":270.76,\"pressure\":1008,\"humidity\":73,\"temp_min\":268.71,\"temp_max\":274.82},\"wind\":{\"speed\":2.1,\"deg\":40},\"clouds\":{\"all\":75},\"dt\":1360760400},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50d\"}],\"main\":{\"temp\":270.91,\"pressure\":1008,\"humidity\":79,\"temp_min\":268.71,\"temp_max\":274.82},\"wind\":{\"speed\":1,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360764000},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13d\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50d\"},{\"id\":601,\"main\":\"Snow\",\"description\":\"snow\",\"icon\":\"13d\"}],\"main\":{\"temp\":270.47,\"pressure\":1011,\"humidity\":86,\"temp_min\":267.59,\"temp_max\":274.82},\"wind\":{\"speed\":0,\"deg\":0},\"clouds\":{\"all\":40},\"dt\":1360771200},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"},{\"id\":601,\"main\":\"Snow\",\"description\":\"snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":270.01,\"pressure\":1011,\"humidity\":85,\"temp_min\":267.04,\"temp_max\":274.82},\"wind\":{\"speed\":0,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360774800},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":270.01,\"pressure\":1012,\"humidity\":92,\"temp_min\":267.04,\"temp_max\":274.82},\"wind\":{\"speed\":0,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360778400},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":270.01,\"pressure\":1012,\"humidity\":92,\"temp_min\":267.04,\"temp_max\":274.82},\"wind\":{\"speed\":1,\"deg\":60},\"clouds\":{\"all\":75},\"dt\":1360782000},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":270.11,\"pressure\":1013,\"humidity\":92,\"temp_min\":267.04,\"temp_max\":274.82},\"wind\":{\"speed\":0,\"deg\":0},\"clouds\":{\"all\":90},\"dt\":1360785600},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":270.01,\"pressure\":1014,\"humidity\":92,\"temp_min\":267.04,\"temp_max\":274.82},\"wind\":{\"speed\":0.5,\"deg\":0},\"clouds\":{\"all\":90},\"dt\":1360789200},{\"weather\":[{\"id\":622,\"main\":\"Snow\",\"description\":\"heavy shower snow\",\"icon\":\"13n\"},{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"},{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":269.92,\"pressure\":1015,\"humidity\":92,\"temp_min\":266.48,\"temp_max\":274.82},\"wind\":{\"speed\":1,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360792800},{\"weather\":[{\"id\":602,\"main\":\"Snow\",\"description\":\"heavy snow\",\"icon\":\"13n\"}],\"main\":{\"temp\":269.92,\"pressure\":1015,\"humidity\":86,\"temp_min\":266.48,\"temp_max\":274.82},\"wind\":{\"speed\":0.5,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360796400},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":269.92,\"pressure\":1015,\"humidity\":92,\"temp_min\":266.48,\"temp_max\":274.82},\"wind\":{\"speed\":0,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360800000},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":269.92,\"pressure\":1015,\"humidity\":92,\"temp_min\":266.48,\"temp_max\":274.82},\"wind\":{\"speed\":1,\"deg\":50},\"clouds\":{\"all\":90},\"dt\":1360803600},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":269.92,\"pressure\":1016,\"humidity\":85,\"temp_min\":266.48,\"temp_max\":274.82},\"wind\":{\"speed\":0.5,\"deg\":0},\"clouds\":{\"all\":75},\"dt\":1360807200},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":269.98,\"pressure\":1017,\"humidity\":85,\"temp_min\":266.48,\"temp_max\":274.82},\"wind\":{\"speed\":1,\"deg\":0},\"clouds\":{\"all\":90},\"dt\":1360810800},{\"weather\":[{\"id\":701,\"main\":\"Mist\",\"description\":\"mist\",\"icon\":\"50n\"}],\"main\":{\"temp\":270.58,\"pressure\":1017,\"humidity\":85,\"temp_min\":269.15,\"temp_max\":274.82},\"wind\":{\"speed\":1.5,\"deg\":0},\"clouds\":{\"all\":90},\"dt\":1360814400},{\"weather\":[{\"id\":803,\"main\":\"Clouds\",\"description\":\"broken clouds\",\"icon\":\"04n\"}],\"main\":{\"temp\":269.74,\"temp_min\":265.93,\"temp_max\":274.82},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":322},\"clouds\":{\"all\":60},\"dt\":1360818000},{\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"main\":{\"temp\":269.89,\"pressure\":1018,\"humidity\":79,\"temp_min\":265.93,\"temp_max\":274.82},\"wind\":{\"speed\":2.1,\"deg\":50,\"var_beg\":350,\"var_end\":80},\"clouds\":{\"all\":90},\"dt\":1360821600},{\"weather\":[{\"id\":804,\"main\":\"Clouds\",\"description\":\"overcast clouds\",\"icon\":\"04d\"}],\"main\":{\"temp\":269.05,\"pressure\":1019,\"humidity\":79,\"temp_min\":265.93,\"temp_max\":271.15},\"wind\":{\"speed\":1,\"deg\":0},\"clouds\":{\"all\":90},\"dt\":1360825200}]}";
	static final public String HISTORY_WEATHER_AT_STATION_ID_BY_TICK = "{\"message\":\"\",\"cod\":\"200\",\"type\":\"tick\",\"station_id\":9040,\"calctime\":\" tick = 0.0456 total=1.5991\",\"cnt\":30,\"list\":[{\"temp\":287.04,\"main\":{\"temp\":287.04,\"humidity\":73,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":73,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360779328},{\"temp\":286.48,\"main\":{\"temp\":286.48,\"humidity\":78,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":78,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360780216},{\"temp\":284.82,\"main\":{\"temp\":284.82,\"humidity\":89,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":89,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360783815},{\"temp\":284.26,\"main\":{\"temp\":284.26,\"humidity\":92,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":92,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360786522},{\"temp\":284.26,\"main\":{\"temp\":284.26,\"humidity\":94,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":94,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360788321},{\"temp\":283.71,\"main\":{\"temp\":283.71,\"humidity\":94,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":94,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360792849},{\"temp\":289.26,\"main\":{\"temp\":289.26,\"humidity\":99,\"pressure\":1019},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":99,\"pressure\":1019,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360843300},{\"temp\":292.04,\"main\":{\"temp\":292.04,\"humidity\":67,\"pressure\":1017},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":67,\"pressure\":1017,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360848623},{\"temp\":290.93,\"main\":{\"temp\":290.93,\"humidity\":58,\"pressure\":1017},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":58,\"pressure\":1017,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360851306},{\"temp\":292.04,\"main\":{\"temp\":292.04,\"humidity\":41,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":41,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360858512},{\"temp\":290.93,\"main\":{\"temp\":290.93,\"humidity\":44,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":44,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360861228},{\"temp\":287.59,\"main\":{\"temp\":287.59,\"humidity\":56,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":56,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360863904},{\"temp\":285.93,\"main\":{\"temp\":285.93,\"humidity\":60,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":60,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360865703},{\"temp\":285.93,\"main\":{\"temp\":285.93,\"humidity\":62,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":62,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360866604},{\"temp\":283.71,\"main\":{\"temp\":283.71,\"humidity\":76,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":76,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360871103},{\"temp\":282.59,\"main\":{\"temp\":282.59,\"humidity\":85,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":85,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360875604},{\"temp\":281.48,\"main\":{\"temp\":281.48,\"humidity\":99,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":99,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360924205},{\"temp\":281.48,\"main\":{\"temp\":281.48,\"humidity\":99,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":99,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360925104},{\"temp\":282.59,\"main\":{\"temp\":282.59,\"humidity\":99,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":99,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360926007},{\"temp\":286.48,\"main\":{\"temp\":286.48,\"humidity\":99,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":99,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360928705},{\"temp\":287.59,\"main\":{\"temp\":287.59,\"humidity\":99,\"pressure\":1016},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":99,\"pressure\":1016,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360930504},{\"temp\":290.93,\"main\":{\"temp\":290.93,\"humidity\":94,\"pressure\":1015},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":94,\"pressure\":1015,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360934113},{\"temp\":292.04,\"main\":{\"temp\":292.04,\"humidity\":88,\"pressure\":1015},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":88,\"pressure\":1015,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360935004},{\"temp\":292.59,\"main\":{\"temp\":292.59,\"humidity\":67,\"pressure\":1014},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":67,\"pressure\":1014,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360936804},{\"temp\":294.26,\"main\":{\"temp\":294.26,\"humidity\":48,\"pressure\":1014},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":48,\"pressure\":1014,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360940404},{\"temp\":295.37,\"main\":{\"temp\":295.37,\"humidity\":39,\"pressure\":1014},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":39,\"pressure\":1014,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360942204},{\"temp\":296.48,\"main\":{\"temp\":296.48,\"humidity\":30,\"pressure\":1014},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":30,\"pressure\":1014,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360944903},{\"temp\":295.37,\"main\":{\"temp\":295.37,\"humidity\":31,\"pressure\":1013},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":31,\"pressure\":1013,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360945803},{\"temp\":295.93,\"main\":{\"temp\":295.93,\"humidity\":30,\"pressure\":1013},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":30,\"pressure\":1013,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360946702},{\"temp\":285.37,\"main\":{\"temp\":285.37,\"humidity\":58,\"pressure\":1014},\"wind\":{\"speed\":0,\"gust\":0,\"deg\":0},\"humidity\":58,\"pressure\":1014,\"rain\":{\"1h\":0,\"24h\":0,\"today\":0},\"dt\":1360953902}]}";
	static final public String HISTORY_WEATHER_AT_STATION_ID_BY_HOUR = "{\"message\":\"\",\"cod\":\"200\",\"type\":\"hour\",\"station_id\":9040,\"calctime\":0.0107,\"cnt\":14,\"list\":[{\"temp\":{\"v\":289.26,\"c\":1,\"mi\":289.26,\"ma\":289.26},\"pressure\":{\"v\":1019,\"c\":1,\"mi\":1019,\"ma\":1019},\"humidity\":{\"v\":99,\"c\":1,\"mi\":99,\"ma\":99},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":99,\"c\":1,\"mi\":99,\"ma\":99},\"temp\":{\"v\":289.26,\"c\":1,\"mi\":289.26,\"ma\":289.26},\"temp_max\":289.26,\"pressure\":{\"v\":1019,\"c\":1,\"mi\":1019,\"ma\":1019}},\"dt\":1360843200},{\"temp\":{\"v\":292.04,\"c\":1,\"mi\":292.04,\"ma\":292.04},\"pressure\":{\"v\":1017,\"c\":1,\"mi\":1017,\"ma\":1017},\"humidity\":{\"v\":67,\"c\":1,\"mi\":67,\"ma\":67},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":67,\"c\":1,\"mi\":67,\"ma\":67},\"temp\":{\"v\":292.04,\"c\":1,\"mi\":292.04,\"ma\":292.04},\"temp_max\":292.04,\"pressure\":{\"v\":1017,\"c\":1,\"mi\":1017,\"ma\":1017}},\"dt\":1360846800},{\"temp\":{\"v\":290.93,\"c\":1,\"mi\":290.93,\"ma\":290.93},\"pressure\":{\"v\":1017,\"c\":1,\"mi\":1017,\"ma\":1017},\"humidity\":{\"v\":58,\"c\":1,\"mi\":58,\"ma\":58},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":58,\"c\":1,\"mi\":58,\"ma\":58},\"temp\":{\"v\":290.93,\"c\":1,\"mi\":290.93,\"ma\":290.93},\"temp_max\":290.93,\"pressure\":{\"v\":1017,\"c\":1,\"mi\":1017,\"ma\":1017}},\"dt\":1360850400},{\"temp\":{\"v\":292.04,\"c\":1,\"mi\":292.04,\"ma\":292.04},\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":41,\"c\":1,\"mi\":41,\"ma\":41},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":41,\"c\":1,\"mi\":41,\"ma\":41},\"temp\":{\"v\":292.04,\"c\":1,\"mi\":292.04,\"ma\":292.04},\"temp_max\":292.04,\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016}},\"dt\":1360857600},{\"temp\":{\"v\":289.26,\"c\":2,\"mi\":287.59,\"ma\":290.93},\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":50,\"c\":2,\"mi\":44,\"ma\":56},\"rain\":{\"1h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"wind\":{\"speed\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"deg\":{\"v\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":50,\"c\":2,\"mi\":44,\"ma\":56},\"temp\":{\"v\":289.26,\"c\":2,\"mi\":287.59,\"ma\":290.93},\"temp_max\":287.59,\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016}},\"dt\":1360861200},{\"temp\":{\"v\":285.93,\"c\":2,\"mi\":285.93,\"ma\":285.93},\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":61,\"c\":2,\"mi\":60,\"ma\":62},\"rain\":{\"1h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"wind\":{\"speed\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"deg\":{\"v\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":61,\"c\":2,\"mi\":60,\"ma\":62},\"temp\":{\"v\":285.93,\"c\":2,\"mi\":285.93,\"ma\":285.93},\"temp_max\":285.93,\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016}},\"dt\":1360864800},{\"temp\":{\"v\":283.71,\"c\":1,\"mi\":283.71,\"ma\":283.71},\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":76,\"c\":1,\"mi\":76,\"ma\":76},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":76,\"c\":1,\"mi\":76,\"ma\":76},\"temp\":{\"v\":283.71,\"c\":1,\"mi\":283.71,\"ma\":283.71},\"temp_max\":283.71,\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016}},\"dt\":1360868400},{\"temp\":{\"v\":282.59,\"c\":1,\"mi\":282.59,\"ma\":282.59},\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":85,\"c\":1,\"mi\":85,\"ma\":85},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":85,\"c\":1,\"mi\":85,\"ma\":85},\"temp\":{\"v\":282.59,\"c\":1,\"mi\":282.59,\"ma\":282.59},\"temp_max\":282.59,\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016}},\"dt\":1360875600},{\"temp\":{\"v\":281.48,\"c\":2,\"mi\":281.48,\"ma\":281.48},\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":99,\"c\":2,\"mi\":99,\"ma\":99},\"rain\":{\"1h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"wind\":{\"speed\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"deg\":{\"v\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":99,\"c\":2,\"mi\":99,\"ma\":99},\"temp\":{\"v\":281.48,\"c\":2,\"mi\":281.48,\"ma\":281.48},\"temp_max\":281.48,\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016}},\"dt\":1360922400},{\"temp\":{\"v\":284.53,\"c\":2,\"mi\":282.59,\"ma\":286.48},\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":99,\"c\":2,\"mi\":99,\"ma\":99},\"rain\":{\"1h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"wind\":{\"speed\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"deg\":{\"v\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":99,\"c\":2,\"mi\":99,\"ma\":99},\"temp\":{\"v\":284.53,\"c\":2,\"mi\":282.59,\"ma\":286.48},\"temp_max\":282.59,\"pressure\":{\"v\":1016,\"c\":2,\"mi\":1016,\"ma\":1016}},\"dt\":1360926000},{\"temp\":{\"v\":287.59,\"c\":1,\"mi\":287.59,\"ma\":287.59},\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016},\"humidity\":{\"v\":99,\"c\":1,\"mi\":99,\"ma\":99},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":99,\"c\":1,\"mi\":99,\"ma\":99},\"temp\":{\"v\":287.59,\"c\":1,\"mi\":287.59,\"ma\":287.59},\"temp_max\":287.59,\"pressure\":{\"v\":1016,\"c\":1,\"mi\":1016,\"ma\":1016}},\"dt\":1360929600},{\"temp\":{\"v\":291.49,\"c\":2,\"mi\":290.93,\"ma\":292.04},\"pressure\":{\"v\":1015,\"c\":2,\"mi\":1015,\"ma\":1015},\"humidity\":{\"v\":91,\"c\":2,\"mi\":88,\"ma\":94},\"rain\":{\"1h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"wind\":{\"speed\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0},\"deg\":{\"v\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":2,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":91,\"c\":2,\"mi\":88,\"ma\":94},\"temp\":{\"v\":291.49,\"c\":2,\"mi\":290.93,\"ma\":292.04},\"temp_max\":290.93,\"pressure\":{\"v\":1015,\"c\":2,\"mi\":1015,\"ma\":1015}},\"dt\":1360933200},{\"temp\":{\"v\":292.59,\"c\":1,\"mi\":292.59,\"ma\":292.59},\"pressure\":{\"v\":1014,\"c\":1,\"mi\":1014,\"ma\":1014},\"humidity\":{\"v\":67,\"c\":1,\"mi\":67,\"ma\":67},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":67,\"c\":1,\"mi\":67,\"ma\":67},\"temp\":{\"v\":292.59,\"c\":1,\"mi\":292.59,\"ma\":292.59},\"temp_max\":292.59,\"pressure\":{\"v\":1014,\"c\":1,\"mi\":1014,\"ma\":1014}},\"dt\":1360936800},{\"temp\":{\"v\":294.26,\"c\":1,\"mi\":294.26,\"ma\":294.26},\"pressure\":{\"v\":1014,\"c\":1,\"mi\":1014,\"ma\":1014},\"humidity\":{\"v\":48,\"c\":1,\"mi\":48,\"ma\":48},\"wind\":{\"speed\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"gust\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"deg\":{\"v\":\"\"}},\"rain\":{\"1h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"24h\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0},\"today\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"precipitation\":{\"v\":{\"v\":0,\"c\":1,\"mi\":0,\"ma\":0}},\"main\":{\"humidity\":{\"v\":48,\"c\":1,\"mi\":48,\"ma\":48},\"temp\":{\"v\":294.26,\"c\":1,\"mi\":294.26,\"ma\":294.26},\"temp_max\":294.26,\"pressure\":{\"v\":1014,\"c\":1,\"mi\":1014,\"ma\":1014}},\"dt\":1360940400}]}";
}
